#!/bin/bash
#
# WARNING! Don't execute this file directly, please launch the installer by install.sh
# (C) 2015 T.BAAR PRG INSTALLERS
# Website: http://t-baar.com

# Verifying token
if [ -f "lib/.token" ]; then
        echo 'Installing Sky3DS Utility...'
else 
        echo "Please run the installer by the install.sh file..." 1>&2
        echo ""
        echo "Press Enter to quit the installer..." 
        read a
        exit 1
fi
sleep 2
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Ver. 1.0"
echo ''
echo "Welcome to the Sky3DS Utility installer"
echo "This piece of software is licensed under GNU GPL v3."
echo "However, the name T.BAAR and his logo, are for owner"
echo "Thibault Baldetti"
echo ""
echo "Press Enter to install..."
echo "Or press Ctrl+C to cancel."
read a
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Extractiing Sky3DS package"
echo '╔═══════════════════════════════════════════════╗'
echo '║█______________________________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
tar xzf bundle.prg
sleep 1
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Copying files in progress..."
echo '╔═══════════════════════════════════════════════╗'
echo '║█████__________________________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
mv bundle /opt/sky3ds
sleep 2.5
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Copying files in progress..."
echo '╔═══════════════════════════════════════════════╗'
echo '║█████████████__________________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
ln /opt/sky3ds/bin/sky3ds /usr/bin/sky3ds
sleep 1
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Copying files in progress..."
echo '╔═══════════════════════════════════════════════╗'
echo '║████████████████_______________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
ln /opt/sky3ds/bin/sky3ds-ui /usr/bin/sky3ds-ui
sleep 0.8
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Creating shortcut (in Games menu)"
echo '╔═══════════════════════════════════════════════╗'
echo '║██████████████████████_________________________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
mv /opt/sky3ds/sky3ds.desktop /usr/share/applications/sky3ds.desktop
sleep 1.2
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Fixing system permissions"
echo '╔═══════════════════════════════════════════════╗'
echo '║██████████████████████████████████_____________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
chown -R root:root /opt/sky3ds
chmod -R 755 /opt/sky3ds
chown root:root /usr/bin/sky3ds
chown root:root /usr/bin/sky3ds-ui
chown root:root /usr/share/applications/sky3ds.desktop
sleep 0.5
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Fixing system permissions"
echo '╔═══════════════════════════════════════════════╗'
echo '║██████████████████████████████████████_________║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
chmod 755 /usr/bin/sky3ds
chmod 755 /usr/bin/sky3ds-ui
chmod 755 /usr/share/applications/sky3ds.desktop
sleep 0.6
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Completing installation"
echo '╔═══════════════════════════════════════════════╗'
echo '║████████████████████████████████████████████___║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
chmod +x /usr/bin/sky3ds
chmod +x /usr/bin/sky3ds-ui
chmod +x /usr/share/applications/sky3ds.desktop
touch lib/.token_bis
sleep 1.3
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo ''
echo "Cleaning..."
echo '╔═══════════════════════════════════════════════╗'
echo '║███████████████████████████████████████████████║'
echo '╚═══════════════════════════════════════════════╝'
echo ''
echo "Please wait..."
cp lib/uninstall.sh /usr/bin/sky3ds-uninstaller
chown root:root /usr/bin/sky3ds-uninstaller
chmod 755 /usr/bin/sky3ds-uninstaller
chmod +x /usr/bin/sky3ds-uninstaller
sleep 1
clear
echo '███████╗██╗  ██╗██╗   ██╗██████╗ ██████╗ ███████╗' 
echo '██╔════╝██║ ██╔╝╚██╗ ██╔╝╚════██╗██╔══██╗██╔════╝'
echo '███████╗█████╔╝  ╚████╔╝  █████╔╝██║  ██║███████╗'
echo '╚════██║██╔═██╗   ╚██╔╝   ╚═══██╗██║  ██║╚════██║'
echo '███████║██║  ██╗   ██║   ██████╔╝██████╔╝███████║'
echo '╚══════╝╚═╝  ╚═╝   ╚═╝   ╚═════╝ ╚═════╝ ╚══════╝'
echo 'International edition for GNU/Linux - http://t-baar.com' 
echo ''
echo "Install of Sky3DS Utility is now finished"
echo "The program might be located in the Games folder in the main menu"
echo "You can also launch the program with the command sky3ds-ui"
echo "To uninstall, please launch the command sky3ds-uninstaller as root"
echo ''
echo "Press Enter to close this installer..."
read a
